package com.fuzamei.web;

import java.util.Map;

import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import com.alibaba.fastjson.JSON;
import com.fuzamei.baseTest.BaseJunit4Test;
import com.fuzamei.entity.Param;

public class CargoConsignActionTest extends BaseJunit4Test{
	@Autowired
	private CargoConsignAction cargoConsignAction;
	
	@Test//测试【供应商】查询订单功能
	public void test01(){
		Param param=new Param();
		param.setUserId(9003);
		param.setPage(1);
		param.setOrderId(100000001);
		param.setBoxNo(null);
		param.setStatusId(null);
		param.setStartTime(null);
		param.setEndTime(1516955480353L);
		Map<String, Object> result = cargoConsignAction.queryOrdersBySupplier(param);
		String jsonString = JSON.toJSONString(result,true);
		System.out.println(jsonString);
	}
	
	@Test//测试【承运商】查询订单功能
	public void test02(){
		Param param=new Param();
		param.setUserId(9007);
		param.setPage(1);
		param.setOrderId(null);
		param.setBoxNo(null);
		param.setStatusId(null);
		param.setStartTime(null);
		param.setEndTime(null);
		Map<String, Object> result = cargoConsignAction.queryOrdersByCarrier(param);
		String jsonString = JSON.toJSONString(result,true);
		System.out.println(jsonString);
	}
	
	@Test//显示所有供应商下的承运商
	public void test03(){
		Param param=new Param();
		param.setUserId(9005);
		Map<String, Object> result = cargoConsignAction.showAllCarriersUnderSupplier(param);
		String jsonString = JSON.toJSONString(result,true);
		System.out.println(jsonString);
	}
	
	@Test//承运操作
	public void test04(){
		Param param=new Param();
		param.setUserId(9007);
		param.setOrderId(100000004);
		param.setCarNo("浙A9819Y");
		Map<String, Object> result = cargoConsignAction.doCarry(param);
		String jsonString = JSON.toJSONString(result,true);
		System.out.println(jsonString);
	}
	
	@Test//查看订单跟踪记录
	public void test05(){
		Param param=new Param();
		param.setUserId(9007);
		param.setOrderId(100000001);
		Map<String, Object> result = cargoConsignAction.orderTracking(param);
		String jsonString = JSON.toJSONString(result,true);
		System.out.println(jsonString);
	}
	
}
