package com.fuzamei.web;

import java.util.Map;

import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import com.alibaba.fastjson.JSON;
import com.fuzamei.baseTest.BaseJunit4Test;
import com.fuzamei.entity.Param;

public class CargoTallyActionTest extends BaseJunit4Test{
	
	@Autowired
	private CargoTallyAction cargoTallyAction;
	
	@Test//收货员查看订单信息
	public void test01(){
		Param param=new Param();
		param.setUserId(9011);
		param.setPage(1);
		param.setOrderId(100000001);
		param.setCarNo(null);
		param.setStartTime(null);
		param.setEndTime(null);
		Map<String, Object> result = cargoTallyAction.queryOrdersByReceiver(param);
		String jsonString = JSON.toJSONString(result,true);
		System.out.println(jsonString);
	}
	
	@Test//点击下一步查看订单信息
	public void test02(){
		Param param=new Param();
		param.setUserId(9011);
		param.setOrderId(100000001);
		Map<String, Object> result = cargoTallyAction.searchNewOrderByOrderId(param);
		String jsonString = JSON.toJSONString(result,true);
		System.out.println(jsonString);
	}
	
	@Test//查看订单跟踪信息
	public void test03(){
		Param param=new Param();
		param.setUserId(9012);
		param.setOrderId(100000001);
		Map<String, Object> result = cargoTallyAction.orderTracking(param);
		String jsonString = JSON.toJSONString(result,true);
		System.out.println(jsonString);
	}
	
	@Test//收货员点击收货或者拒收
	public void test04(){
		Param param=new Param();
		param.setUserId(9012);
		param.setOrderId(100000001);
		param.setConfirmId(1);
		Map<String, Object> result = cargoTallyAction.confirmOrReject(param);
		String jsonString = JSON.toJSONString(result,true);
		System.out.println(jsonString);
	}
	
}
